﻿/* Primary site color utility classes */

.rh-color-primary-base
{
    color: var(--rh-color-primary-base);
}

.rh-color-primary-600
{
    color: var(--rh-color-primary-600);
}

.rh-color-neutral-base
{
    color: var(--rh-color-neutral-base);
}

.rh-color-neutral-600
{
    color: var(--rh-color-neutral-600);
}

.rh-color-neutral-50
{
    color: var(--rh-color-neutral-50);
}

.rh-color-green-base
{
    color: var(--rh-color-green-base);
}

.rh-color-secondary-base
{
    color: var(--rh-color-secondary-base);
}

.rh-color-red-base
{
    color: var(--rh-color-red-base);
}

/* Color Filters */

.white-to-bluedark { /* white to #3f4ec4*/
    filter: brightness(0) saturate(100%) invert(26%) sepia(97%) saturate(1420%) hue-rotate(220deg) brightness(85%) contrast(92%);
}

.bluedark-to-graydisabled { /* #3f4ec4 to #8593A3 */
    filter: brightness(0) saturate(100%) invert(60%) sepia(14%) saturate(385%) hue-rotate(172deg) brightness(94%) contrast(87%);
}

/* Site font sizes in rems. */

.rh-font-size-12
{
    font-size: var( --rh-font-12);
}

.rh-font-size-13
{
    font-size: var(--rh-font-13);
}

.rh-font-size-14
{
    font-size: var( --rh-font-14);
}

.rh-font-size-16
{
    font-size: var( --rh-font-16);
}

.rh-font-size-18
{
    font-size: var( --rh-font-18);
}

/* #region Positioning */

.rotate-neg45 {
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -ms-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg);
}
.rotate-neg135 {
    -webkit-transform: rotate(-135deg);
    -moz-transform: rotate(-135deg);
    -ms-transform: rotate(-135deg);
    -o-transform: rotate(-135deg);
    transform: rotate(-135deg);
}

/* #endregion */

/* #region Animations */

/*example usage to have element slide in on load: */
/*  .feature-search {
        animation: slideInFromRight 1s ease-out forwards;
    }*/

@keyframes slideInFromRight {
    from {
        transform: translateX(100%);
        opacity: 0;
    }

    to {
        transform: translateX(0);
        opacity: 1;
    }
}

@keyframes slideInFromLeft {
    from {
        transform: translateX(-100%);
        opacity: 0;
    }

    to {
        transform: translateX(0);
        opacity: 1;
    }
}
/* #endregion */